"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_native_1 = require("react-native");
var View_1 = require("./View");
var Text_1 = require("./Text");
var AlertMessage = (function (_super) {
    __extends(AlertMessage, _super);
    function AlertMessage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    AlertMessage.prototype.render = function () {
        var _a = this.props, message = _a.message, style = _a.style;
        return (React.createElement(View_1.default, { style: [styles.container, style] },
            React.createElement(View_1.default, { style: styles.alert },
                React.createElement(Text_1.default, { style: styles.text }, message))));
    };
    return AlertMessage;
}(React.Component));
exports.default = AlertMessage;
var styles = react_native_1.StyleSheet.create({
    container: {
        marginTop: 4,
        marginBottom: 4
    },
    alert: {
        backgroundColor: '#f4f4f4',
        borderRadius: 4
    },
    text: {
        margin: 15,
        color: '#444'
    }
});
