"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var FontAwesome_1 = require("react-native-vector-icons/FontAwesome");
var MaterialIcons_1 = require("react-native-vector-icons/MaterialIcons");
var Zocial_1 = require("react-native-vector-icons/Zocial");
var Ionicons_1 = require("react-native-vector-icons/Ionicons");
var Foundation_1 = require("react-native-vector-icons/Foundation");
var Octicons_1 = require("react-native-vector-icons/Octicons");
var Entypo_1 = require("react-native-vector-icons/Entypo");
var EvilIcons_1 = require("react-native-vector-icons/EvilIcons");
var Icon = (function (_super) {
    __extends(Icon, _super);
    function Icon() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Icon.prototype.render = function () {
        var _a = this.props, type = _a.type, name = _a.name, props = __rest(_a, ["type", "name"]);
        var newName = name.replace(/_/g, '-');
        switch (type) {
            default:
            case 'material':
                return React.createElement(MaterialIcons_1.default, __assign({ name: newName }, props));
            case 'fontAwesome':
                return React.createElement(FontAwesome_1.default, __assign({ name: newName }, props));
            case 'zocial':
                return React.createElement(Zocial_1.default, __assign({ name: newName }, props));
            case 'ionicons':
                return React.createElement(Ionicons_1.default, __assign({ name: newName }, props));
            case 'foundation':
                return React.createElement(Foundation_1.default, __assign({ name: newName }, props));
            case 'octicons':
                return React.createElement(Octicons_1.default, __assign({ name: newName }, props));
            case 'entypo':
                return React.createElement(Entypo_1.default, __assign({ name: newName }, props));
            case 'evilIcons':
                return React.createElement(EvilIcons_1.default, __assign({ name: newName }, props));
        }
    };
    return Icon;
}(React.Component));
exports.default = Icon;
